/*
  swge.h
  by Wei Cai  caiwei@mit.edu
  Last Modified : Fri Jan  2 15:54:31 2004

  FUNCTION  :  MD simulation package of Ge using Stillinger-Weber potential
*/

#ifndef _SWGE_H
#define _SWGE_H

#include "md.h"

class SWFrame : public MDFrame /* Ge with Stillinger-Weber potential */
{
    /* Stillinger-Weber potential parameters */
    double psig, pepsi, aa, bb, plam, pgam, acut, pss, rho;
    double rho1, acutsq;
public:
    SWFrame(){};
    void stillinger_weber();
    void stillinger_weber_energyonly();
    double stillinger_weber_energyonly(int iatom);
    virtual void potential();
    virtual void potential_energyonly();
    virtual double potential_energyonly(int iatom);
    virtual void initvars();
};

#endif // _SWGE_H

